project (HELLO)

cmake_minimum_required (VERSION 2.6)

message(STATUS "System: " ${CMAKE_SYSTEM_NAME} " " ${CMAKE_SYSTEM_VERSION})
message(STATUS "Processor: " ${CMAKE_HOST_SYSTEM_PROCESSOR})

if(${CMAKE_SYSTEM_NAME} STREQUAL Windows)
    if(MSVC)
        message(STATUS "Compiler: MSVC, version: " ${MSVC_VERSION})
    endif(MSVC)
    if(BORLAND)
        message(STATUS "Compiler: BCC")
    endif(BORLAND)
    if(MINGW)
        message(STATUS "Compiler: MinGW")
    endif(MINGW)
else(${CMAKE_SYSTEM_NAME} STREQUAL Linux)
    message(STATUS "Only GCC is supported on Linux")
endif(${CMAKE_SYSTEM_NAME} STREQUAL Windows)

message(STATUS "CMake generates " ${CMAKE_GENERATOR})

#find_package(Qt4 REQUIRED)
#include(${QT_USE_FILE})

add_subdirectory(srcapp)
